// This is a JavaScript module that is loaded on demand. It can export any number of
// functions, and may import other JavaScript modules if required.

export function initialize(csharpService) {
    if (typeof window.network !== "undefined") {
        throw new Error("Network State Handler already initialized");
    }
    window.network = {
        initialize: function (interop) {
            function handler() {
                interop.invokeMethodAsync("Network.StatusChanged", navigator.onLine);
            }
            window.addEventListener('online', handler);
            window.addEventListener('offline', handler);
            handler(navigator.onLine);
        }
    };
    window.network.initialize(csharpService);
}
